import java.util.Scanner;

import org.apache.log4j.BasicConfigurator;


public class ConsoleUI {
	private BookService bookService;
	
	public ConsoleUI(BookService bookService) {
		this.bookService = bookService;
	}

	public static void main(String[] args) {
		BasicConfigurator.configure();
		
		BookService bookService = new SimpleBookService();
		ConsoleUI ui = new ConsoleUI(bookService);
		ui.tart();
	}

	public void tart() {
		Scanner scanner = new Scanner(System.in);
		while(true) {
			System.out.println("Zadaj ISBN:");
			String isbn = scanner.nextLine();
			
			System.out.println("Zadaj autora:");
			String autor = scanner.nextLine();
			
			System.out.println("Zadaj nzov:");
			String nazov = scanner.nextLine();
			
			Book book = new Book(isbn, autor, nazov);
			
			bookService.add(book);
		}
	}
	
	
}
